> ## Documentation Index
> Fetch the complete documentation index at: https://doc.soleaspay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Transaction

> Check if the payment is validated by the customer using the unique order ID and the SoleasPay payment reference (payId). Requires x-api-key and optional headers like operation and service.



## OpenAPI

````yaml GET /api/agent/verif-pay
openapi: 3.1.0
info:
  title: SoleasPay API
  description: API to authenticate and receive a bearer token from SoleasPay
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://sandbox.soleaspay.com
security:
  - bearerAuth: []
paths:
  /api/agent/verif-pay:
    get:
      summary: Verify Transaction
      description: >-
        Check if the payment is validated by the customer using the unique order
        ID and the SoleasPay payment reference (payId). Requires x-api-key and
        optional headers like operation and service.
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: g-fFowNzY7t2Yk-osvI8qmZ18BNL5TF-OwQNfANd6_ss
          description: Your API key for authentication
        - name: operation
          in: header
          required: false
          schema:
            type: integer
            example: 2
          description: Optional operation header
        - name: service
          in: header
          required: false
          schema:
            type: integer
            example: 1
          description: Optional service header
        - name: orderId
          in: query
          required: true
          schema:
            type: string
            example: '3234173428'
          description: Your unique order ID for checking the payment
        - name: payId
          in: query
          required: true
          schema:
            type: string
            example: MLS383B
          description: The SoleasPay payment reference (received from Pay-In API)
      responses:
        '200':
          description: Transaction verification result
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      success:
                        type: boolean
                        example: true
                      code:
                        type: integer
                        example: 200
                      status:
                        type: string
                        example: STATUS
                      created_at:
                        type: string
                        format: date-time
                        example: '2024-12-16 10:05:01'
                      data:
                        type: object
                        properties:
                          operation:
                            type: string
                            example: OPERATION NAME
                          reference:
                            type: string
                            example: MLS2021B
                          external_reference:
                            type: string
                            example: abc1234
                          transaction_reference:
                            type: string
                            example: transaction partner reference
                          amount:
                            type: number
                            example: 1000
                          currency:
                            type: string
                            example: XAF
                      message:
                        type: string
                        example: Transaction is completed successfully
                  - type: object
                    properties:
                      success:
                        type: boolean
                        example: false
                      message:
                        type: string
                        example: Invalid Transaction informations
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````